// Additional Menu Styling
// -----------------------------------------------------------------------------

.navbar-height-wrapper {
  z-index: var(--bs-z-index-fixed);
}

.page__navbar {
  --brand-width: 120px;
  --stuck-shadow: var(--bs-box-shadow-sm);
  // Let the menu items fill the height of the topbar
  padding-block: 0;

  > .container {
    align-items: stretch;
  }
  .navbar-brand-parent {
    // This is not Bootstrap standard, we need to address the problem, that we need the system
    // branding block wrapper to prevent caching issues (& have contextual block links)
    width: var(--brand-width);
  }
  .navbar-brand {
    &__logo {
      &:only-child {
        width: 100%;
      }
    }
  }

  .navbar-collapse,
  .nav {
    flex: 1 1 auto;
    align-self: stretch;
    align-items: stretch;
  }

  &-left,
  &-right {
    display: flex;
    flex-direction: column;
    .navbar-nav {
      flex-wrap: nowrap;
      > .nav-item {
        > .nav-link {
          white-space: nowrap;
        }
      }
    }
  }

  &.sticky-top,
  &.fixed-top {
    // Prevent covering the drupal admin bar
    // TODO: move to admin/logged_in styles?
    // Hint: it seems that adding var(--gin-toolbar-secondary-height, 0px) is no longer required. var(--drupal-displace-offset-top, 0px) already sums this up?
    top: calc(var(--drupal-displace-offset-top, 0px));
  }

  &--is-stuck {
    box-shadow: var(--stuck-shadow);
  }
}

.navbar-nav {
  > .nav-item > .nav-link {
    height: 100%;
  }

  &--hover {
    .nav-item.dropdown {
      &:hover {
        > .dropdown-menu {
          display: block;
          top: 100%;
          left: 0;
        }
      }
    }
    .dropdown-menu .dropend {
      &:hover {
        > .dropdown-menu {
          display: block;
          top: calc(
            (var(--bs-dropdown-padding-y) + var(--bs-dropdown-border-width)) *
              -1
          );
          left: 100%;
        }
      }
    }
  }
}

.nav-link {
  --nav-link-gap: 0.35rem;
  --dropdown-toggle-icon-gap: 0.85em;
  // TODO: Simply use gap?
  display: flex;
  align-items: center;
  gap: var(--nav-link-gap);
  // >.ico:not(:only-child) {
  //   &:first-child {
  //     margin-right: .35em;
  //   }

  //   &:last-child {
  //     margin-left: .35em;
  //   }
  // }
  &.dropdown-toggle::after {
    margin-left: calc(
      (var(--nav-link-gap) - var(--dropdown-toggle-icon-gap)) * -1
    );
  }
}

.navbar-toggler-icon-animated {
  --icon-width: 30px;
  --icon-bar-height: 2px;
  --icon-bar-spacing: 5px;
  --icon-bar-radius: 2px;
  --icon-height: calc(
    (3 * var(--icon-bar-height)) + (2 * var(--icon-bar-spacing))
  );
  --icon-color: currentColor;
  --icon-color-active: var(--bs-primary);

  width: var(--icon-width);
  height: var(--icon-height);
  position: relative;
  transform: rotate(0deg);
  transition: 0.95s ease-in-out;
  cursor: pointer;
  background: none;
  display: block;
  span {
    display: block;
    position: absolute;
    height: var(--icon-bar-height);
    width: 100%;
    background: var(--icon-color);
    border-radius: var(--icon-bar-radius);
    opacity: 1;
    left: 0;
    transform: rotate(0deg);
    transition: 0.55s ease-in-out;
    &:nth-child(1) {
      top: 0;
    }
    &:nth-child(2),
    &:nth-child(3) {
      top: calc(var(--icon-bar-height) + var(--icon-bar-spacing));
    }
    &:nth-child(4) {
      top: calc((var(--icon-bar-height) * 2) + (var(--icon-bar-spacing) * 2));
    }
  }
  &::after {
    display: none;
  }
  // TODO: set the formatter classes by js or extend them by using the status classes from the offcanvas menu
  // TODO: unclear why we had an active and an open state, what is active for?
  &--active {
    span {
      background-color: var(--icon-color-active);
    }
  }
  .offcanvas-main-nav-shown & {
    span {
      background-color: var(--icon-color-active);

      &:nth-child(1) {
        top: calc(var(--icon-bar-height) + var(--icon-bar-spacing));
        width: 0;
        left: 50%;
      }
      &:nth-child(2) {
        transform: rotate(45deg);
      }
      &:nth-child(3) {
        transform: rotate(-45deg);
      }
      &:nth-child(4) {
        top: var(--icon-bar-height) + var(--icon-bar-spacing);
        width: 0;
        left: 50%;
      }
    }
  }
}
